"""Added rich attributes

Revision ID: b78affca7273
Revises: 1cfd8137ff5e
Create Date: 2022-05-16 16:49:42.810787

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "b78affca7273"
down_revision = "1cfd8137ff5e"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column(
        "attribute_definition", sa.Column("rich_template", sa.Text(), nullable=True)
    )
    op.add_column(
        "attribute_definition", sa.Column("example_value", sa.Text(), nullable=True)
    )
    op.execute(
        "UPDATE attribute_definition SET rich_template='' WHERE rich_template IS NULL"
    )
    op.execute(
        "UPDATE attribute_definition SET example_value='' WHERE example_value IS NULL"
    )
    op.alter_column(
        "attribute_definition", "rich_template", existing_type=sa.Text(), nullable=False
    )
    op.alter_column(
        "attribute_definition", "example_value", existing_type=sa.Text(), nullable=False
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column("attribute_definition", "rich_template")
    op.drop_column("attribute_definition", "example_value")
    # ### end Alembic commands ###
